rho=2;
epsilon=0.01;

beta=linspace(0,1/2,10);
gamma=linspace(0,1,12);

[Beta,Gamma]=ndgrid(beta,gamma);

db=    -Beta.*Gamma+rho*epsilon*(1-2*Beta).^2;
dg=-rho*Beta.*Gamma;

betqs = 10.^linspace(-4,2,100);
gamqs = rho*epsilon*(1-2*betqs).^2./betqs;

figure(1);clf;hold on;
wd=6;
ht=10;
fs=8;
fn='times';
set(1,'paperunits','centimeters');
set(1,'papersize',[wd ht]);
set(1,'paperposition',[0 0 wd ht]);
quiver(Beta,Gamma,db,dg,'k');
hp=plot(betqs,gamqs,'k-.');set(hp,'linewidth',1);
hx=xlabel('\(\beta\)' ,'interpreter','latex');set(hx,'fontsize',fs,'fontname',fn);
hy=ylabel('\(\gamma\)','interpreter','latex');set(hy,'fontsize',fs,'fontname',fn);
set(gca,'tickdir','out');
box on;
%xlim([0 1/2]);ylim([0 1]);
axis equal;
xlim([0 1/2]);ylim([0 1]);
print(1,'-dpdf','-r600','phaseFigA.pdf');

%%

beta=linspace(0,1/2,10);
gamma=linspace(0,0.3,6);

[Beta,Gamma]=ndgrid(beta,gamma);

db=    -Beta.*Gamma+rho*epsilon*(1-2*Beta).^2;
dg=-rho*Beta.*Gamma;

gamqs = rho*epsilon*(1-2*betqs).^2./betqs;

figure(1);clf;hold on;
wd=5.9;
ht=4.5;
fs=8;
fn='times';
set(1,'paperunits','centimeters');
set(1,'papersize',[wd ht]);
set(1,'paperposition',[0 0 wd ht]);
quiver(Beta,Gamma,db,dg,'k');
hp=plot(betqs,gamqs,'k-.');set(hp,'linewidth',1);
hx=xlabel('\(\beta\)' ,'interpreter','latex');set(hx,'fontsize',fs,'fontname',fn);
hy=ylabel('\(\gamma\)','interpreter','latex');set(hy,'fontsize',fs,'fontname',fn);
set(gca,'tickdir','out');
box on;
%xlim([0 1/2]);ylim([0 1]);
axis equal;
xlim([0 1/2]);ylim([0 0.3]);
print(1,'-dpdf','-r600','phaseFigB.pdf');

%%

beta=linspace(0,0.1,5);
gamma=linspace(0,1,12);

[Beta,Gamma]=ndgrid(beta,gamma);

db=    -Beta.*Gamma+rho*epsilon*(1-2*Beta).^2;
dg=-rho*Beta.*Gamma;

gamqs = rho*epsilon*(1-2*betqs).^2./betqs;

figure(1);clf;hold on;
wd=3;
ht=10;
fs=8;
fn='times';
set(1,'paperunits','centimeters');
set(1,'papersize',[wd ht]);
set(1,'paperposition',[0 0 wd ht]);
quiver(Beta,Gamma,db,dg,'k');
hp=plot(betqs,gamqs,'k-.');set(hp,'linewidth',1);
hx=xlabel('\(\beta\)' ,'interpreter','latex');set(hx,'fontsize',fs,'fontname',fn);
hy=ylabel('\(\gamma\)','interpreter','latex');set(hy,'fontsize',fs,'fontname',fn);
set(gca,'tickdir','out');
box on;
%xlim([0 1/2]);ylim([0 1]);
axis equal;
xlim([0 0.1]);ylim([0 1]);
print(1,'-dpdf','-r600','phaseFigC.pdf');

