% plot switchover results and fit parameters

% load experimental data
varyC=xlsread('variableC.xlsx');
varyI=xlsread('variableI.xlsx');

modelfn = @(c0,m0,kAB) c0./(kAB*m0.^2);
costseries = @(kAB,c0,m0,tsw) sum((tsw-modelfn(c0,m0,kAB)).^2);
costfn = @(kAB) costseries(kAB,varyC(:,1),varyC(:,2),varyC(:,3))+...
                costseries(kAB,varyC(:,1),varyC(:,2),varyC(:,4))+...
                costseries(kAB,varyI(:,1),varyI(:,2),varyI(:,3))+...
                costseries(kAB,varyI(:,1),varyI(:,2),varyI(:,4));
kAB=fminsearch(costfn,1)

% fit dependencies of the form t_sw = A c_0 and t_sw = B / m_0^2 via least
% squares
% cost1 = @(A) sum((varyC(:,3)-A*varyC(:,1)).^2    +(varyC(:,4)-A*varyC(:,1)).^2);
% A=fminsearch(cost1,1);
% cost2 = @(B) sum((varyI(:,3)-B./varyI(:,2).^2).^2+(varyI(:,4)-B./varyI(:,2).^2).^2);
% B=fminsearch(cost2,1);
% simultaneous fit to both series
% cost3 = @(kAB) sum((

%

figure(1);clf;hold on;
wd=6.5;
ht=6;
fs=8;
fn='times';
set(1,'paperunits','centimeters');
set(1,'papersize',[wd ht]);
set(1,'paperposition',[0 0 wd ht]);
hp=plot(varyC(:,1),varyC(:,3),'bo');set(hp,'markersize',3);
hp=plot(varyC(:,1),varyC(:,4),'bo');set(hp,'markersize',3);
m=varyC(1,2);
c=linspace(min(varyC(:,1)),max(varyC(:,1)),100);plot(c,c./(kAB*m^2),'r');
hx=xlabel('\(c_0\) (mol/l)' ,'interpreter','latex');set(hx,'fontsize',fs,'fontname',fn);
hy=ylabel('\(t_{\mathrm{sw}}\) (s)','interpreter','latex');set(hy,'fontsize',fs,'fontname',fn);
xlim([0 0.0075]);
ylim([0 275]);
set(gca,'tickdir','out');
box on;
print(1,'-dpdf','-r600','exptsA.pdf');

figure(2);clf;hold on;
wd=6.5;
ht=6;
fs=8;
fn='times';
set(2,'paperunits','centimeters');
set(2,'papersize',[wd ht]);
set(2,'paperposition',[0 0 wd ht]);
hp=plot(varyI(:,2),varyI(:,3),'bo');set(hp,'markersize',3);
hp=plot(varyI(:,2),varyI(:,4),'bo');set(hp,'markersize',3);
c=varyI(1,1);
m=linspace(min(varyI(:,2)),max(varyI(:,2)),100);plot(m,c./(kAB*m.^2),'r');
hx=xlabel('\(m_0\) (mol/l)' ,'interpreter','latex');set(hx,'fontsize',fs,'fontname',fn);
hy=ylabel('\(t_{\mathrm{sw}}\) (s)','interpreter','latex');set(hy,'fontsize',fs,'fontname',fn);
xlim([0.002 0.014]);
ylim([0 525]);
set(gca,'tickdir','out');
box on;
print(2,'-dpdf','-r600','exptsB.pdf');